import type { Registration } from '../../utils/$Register';
/**
 * Metadata of the scraper
 *
 * @private within the scraper directory
 */
export declare const pdfScraperMetadata: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    title: string;
    packageName: string;
    className: string;
    mimeTypes: string[];
    documentationUrl: "https://github.com/webgptorg/promptbook/discussions/@@";
    isAvilableInBrowser: true;
    requiredExecutables: string[];
}>;
/**
 * Registration of known scraper metadata
 *
 * Warning: This is not useful for the end user, it is just a side effect of the mechanism that handles all available known scrapers
 *
 * @public exported from `@promptbook/core`
 * @public exported from `@promptbook/cli`
 */
export declare const _PdfScraperMetadataRegistration: Registration;
