import type { ExecutionTools } from '../../execution/ExecutionTools';
import type { PrepareAndScrapeOptions } from '../../prepare/PrepareAndScrapeOptions';
import { WebsiteScraper } from './WebsiteScraper';
/**
 * @@@
 *
 * @public exported from `@promptbook/website-crawler`
 */
export declare const createWebsiteScraper: ((tools: Pick<ExecutionTools, 'llm'>, options: PrepareAndScrapeOptions) => WebsiteScraper) & import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    title: string;
    packageName: string;
    className: string;
    mimeTypes: string[];
    documentationUrl: "https://github.com/webgptorg/promptbook/discussions/@@";
    isAvilableInBrowser: false;
    requiredExecutables: string[];
}>;
/**
 * TODO: [🎶] Naming "constructor" vs "creator" vs "factory"
 */
